subroutine coef_lin()
use work

implicit real(8) (a-h,o-z)


zeta =e

omega =pi2
om2 =pi2*pi2
k =om2

c =2*zeta*omega
oma =omega*dsqrt(dabs(1-zeta*zeta))

p0 =0			!k
omp =0		!0.8*omega

if(omp /=0) then
da =1./(1-omp*omp/om2)
ust =P0/k
endif


c20 =u0(1)
c10 =u10(1)/omega
if(c ==0.) RETURN
c2 =u0(1)

if(zeta <1.) then
c1 =(u10(1) +zeta*omega*u0(1))/oma

else if(zeta ==1.) then
c1 =(u10(1) +zeta*omega*u0(1))

else
u1c =(u10(1) +zeta*omega*u0(1))/oma
c11 =(u0(1) -u1c)/2.
c21 =(u0(1) +u1c)/2.
endif

END
